import { html as a } from "lit";
import { property as n } from "lit/decorators.js";
import { PieIconComponent as h } from "./PieIconComponent.js";
import { safeCustomElement as f } from "@justeattakeaway/pie-webc-core";
var u = Object.defineProperty, m = Object.getOwnPropertyDescriptor, i = (l, s, r, t) => {
  for (var e = t > 1 ? void 0 : t ? m(s, r) : s, c = l.length - 1, o; c >= 0; c--)
    (o = l[c]) && (e = (t ? o(s, r, e) : o(e)) || e);
  return t && e && u(s, r, e), e;
};
let p = class extends h {
  constructor() {
    super(...arguments), this.size = "xs", this.defaultClasses = "c-pieIcon c-pieIcon--appSuccess", this.class = "c-pieIcon c-pieIcon--appSuccess", this.name = "IconAppSuccess";
  }
  render() {
    return a`<svg width="${this._svgWidth}" height="${this._svgHeight}" fill="${this.fill}" xmlns="http://www.w3.org/2000/svg" role="presentation" focusable="false" fill="currentColor" viewBox="0 0 16 16" class="c-pieIcon c-pieIcon--appSuccess"><path d="M11.5 1.219h-7A1.54 1.54 0 0 0 2.969 2.75v10.5A1.54 1.54 0 0 0 4.5 14.781h7a1.54 1.54 0 0 0 1.531-1.531V2.75A1.54 1.54 0 0 0 11.5 1.219Zm.219 12.031a.219.219 0 0 1-.219.219h-7a.219.219 0 0 1-.219-.219V2.75a.219.219 0 0 1 .219-.219h1.75l.429.954h2.668l.403-.954h1.75a.219.219 0 0 1 .219.219v10.5ZM9.75 5.786l.875.928L8 9.339a.656.656 0 0 1-.875 0L5.603 7.842l.927-.927 1.032 1.032 2.188-2.16Z"></path></svg>`;
  }
};
i([
  n({ type: String, reflect: !0 })
], p.prototype, "size", 2);
i([
  n({ type: String, reflect: !0 })
], p.prototype, "class", 2);
p = i([
  f("icon-app-success")
], p);
export {
  p as IconAppSuccess
};
